Subject: Re: fatal: unable to create '.git/index': File exists

From: Len Brown <[email-masked]>
Date: Fri, 5 Jan 2007 22:01:39 -0500

On Friday 05 January 2007 11:50, Len Brown wrote:
> I kicked off a pull.
> Realized I was on the wrong branch
> and immediately did a ^C
> 
> Now I can't change branches:
> 
> # git checkout release
> fatal: unable to create '.git/index': File exists
> fatal: unable to create '.git/index': File exists
> 
> git reset --hard
> does not help.
> 
> curiously, moving .git/index to /tmp and repeating
> results in the same error.

rm .git/index.lock
seemed to do the trick.
Hopefully nothing is toasted by this...